package com.yovinchen.train.member.controller;

import com.yovinchen.train.member.entity.Member;
import com.yovinchen.train.member.service.MemberService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 会员 前端控制器
 * </p>
 *
 * @author yovinchen
 * @since 2024-01-19 09:53:20
 */
@RestController
@RequestMapping("/member")
public class MemberController {

    @Autowired
    MemberService memberService;

    @GetMapping("/test")
    public List<Member> test() {
        return memberService.list();
    }

}
